Subject: bug#38016: 27.0.50; Display issues with delay-warning and side-by-side windows in terminal

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Nov 2019 09:46:59 +0200

> From: Tom Levy <[email-masked]>
> Date: Fri, 1 Nov 2019 20:39:38 +1300
> Cc: [email-masked]
> 
> Thanks for taking a look. The lines don't really change, "M-x
> redraw-display RET" returns the display to the expected state.*
> 
> It happens for me on Debian 9.11 and 10 (in a clean VM), should I try
> another OS?
> 
> 
> * Just pressing "M-x" changes the display. With the first variation
> (i.e. ... C-e RET DEL M-x) it returns the display to the expected state.
> With the second variation (i.e. ... C-e a RET M-x) it correctly displays
> "line 2" on the second line, but doesn't clear the third line; when I
> continue with "redraw-display RET" the third line is cleared, returning
> the display to the expected state.

Let's see if someone else can reproduce this.  It could be related to
the terminal emulator, not to the OS.